Rated 4 out of 5 stars

Missing this in 3.5.5.

I'd change the maxVersion # if i could figure out how to then get it to install.

I keep getting an error saying Firefox can't find the install script. 8^(